using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Singer.aspx文件
    /// </summary>
    public class 编译扩展_Club_Reg_sms : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Reg_sms(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        public string 开始执行代码()
        {
            return "";
        }

        public string 编译公共标签(string 代码)
        {
            String 返回值 = "";
            switch (代码)
            {
                case "短信接收号码":
                    返回值 += "\t\t" + @"返回值.Append(程序.设置[""注册用户_短信接收号码""]);
";
                    break;
                case "注册用户指令":
                    返回值 += "\t\t" + @"返回值.Append(程序.设置[""注册用户_注册用户指令""]);
";
                    break;
                case "取回密码指令":
                    返回值 += "\t\t" + @"返回值.Append(程序.设置[""注册用户_取回密码指令""]);
";
                    break;
                default:
                    返回值 = "";
                    break;
            }
            return 返回值;
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }
    }
}